Redmine - Feature #8681
Closed & Archived projects
2011-06-25 11:42 - lvan Cenov

Status: Closed Start date: 2011-06-25
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Projects Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Now archived projects are not accessible at all. Why not to have yet another state of the projects: closed. So:

- Active projects behave just as now the do. They are readable/writable.

- Closed projects are read-only. Nothing related to the closed project could be altered / deleted / added. It may be referred though
(issues, wikis, files, documents etc)

- Archived projects are completely invisible as they are now.

I've read about similar proposal in ChilliProject : [1], [2]

Related issues:
Duplicates Redmine - Feature # 3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2011-09-30 14:44 - Fernando Hartmann

+1

This would be very useful for us.

We create a lot of sub projects and want them available tho future read, but what to remove them from some search queries.

It would be very interesting to have filters to choose if the user want to "see" the closes project too, like we do nowadays with issues.

Please put this issue at least on version:"Candidate for next minor release" !

#2 - 2011-12-10 02:12 - Nick Nguyen

+1.

This would also allow time logged to closed projects to appear on time reports. Currently time logged to projects 'disappears' when a project gets
Archived. trying to review time logs for the year becomes an issue because of this, and | have to create queries to pull them directly out of the
database.

#3 - 2012-01-10 14:44 - Bernhard Furtmueller

+1

#4 - 2012-01-11 15:57 - Brandon Liles

+1

#5 - 2012-02-06 16:36 - Brian Heasley
https://www.chiliproject.org
https://www.chiliproject.org/boards/2/topics/509
https://www.chiliproject.org/issues/315

+1

Archiving a project as it stands is pretty useless (for us).

#6 - 2012-02-06 16:41 - Eric Le Gallais

+1

This would be useful to us too.

#7 - 2012-03-07 21:11 - R. Steve McKown

+1

For us, daily use of Redmine centers around operations with the current set of active projects. For these use cases, including closed projects adds a

large amount of 'noise' to result sets.

Since we have dozens of large, closed projects, the knowledge they represent is exceptionally valuable. It's not practical, at least for us, to archive

these projects and lose the ability to search, etc.

There's lots of places in redmine where the project list, either implicitly or explicitly, is referenced. Adding this feature might be fairly involved. But
perhaps there is a way to move down the road to a complete solution with a useful first step. Perhaps, from a user usage perspective:

- Each project gets a boolean attribute, Active (or Closed).

- Extend the project drop-down on the page header. It shows active projects and a 'more' option. The more option brings up some form of HTML
object allowing selection of a project from the full list.

- Extend the project drop-down on the search page, adding "Active Projects" and keeping, of course, "All Projects".

#8 - 2012-04-16 22:39 - Jose de Leon

+1

Along this line of setting project status, | think there should also be a "Visibility" ACL of some sort. That is, administrator can specify where "Archived"

projects are visible, or where "Closed" projects are visible.

For example, if | close a project, then perhaps | don't want it to show on the Overview tab, but | still want it to show in the projects listing. For archived
projects, | might want it to only show to administrators and nobody else, but Managers would have ability to archive a project, etc, but once archived,
they can't view them or do anything to them.

#9 - 2012-04-29 16:37 - Andriy Lesyuk

Accidentally came across this issue...

I think my plugin Role Shift can help here: You need to create a shift role with all write/modify permissions disabled and shift original roles with this
role. You can also add "Closed" boolean custom field to show that a project is closed.

Hope this helps...

#10 - 2012-09-28 22:44 - @ go2null
- Status changed from New to Resolved
- % Done changed from 0 to 100
http://projects.andriylesyuk.com/projects/role-shift

Implemented in v2.1.0 as Feature #3640.

http://www.redmine.org/news/70

Closed projects: a new permission is added to let project members close/reopen projects. Unlike archived projects, closed projects are still visible
but the project and all its data (issues, wiki...) is read-only.

#11 - 2012-09-29 10:37 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Resolution set to Duplicate

Indeed.
http://www.redmine.org/versions/47
http://www.redmine.org/news/70

